Windows Device Groups

List

get

Retrieve a list of Windows device groups.

Query parameters
siteIdinteger · int32Optional

Site ID for which to retrieve the Windows device group (optional).

NamestringOptional

Filter the result by Windows device group name (optional).

Responses
chevron-right
200

Success

application/json; api-version=1.0

/// /// Windows device group

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

siteIdinteger · int32Optional

The ID of the Site from which to retrieve the Windows device group.

namestring · nullableOptional

Windows device group name

descriptionstring · nullableOptional

Description of the Windows device group

disableRemovableDrivesbooleanOptional

Whether Removeable drives are disabled or not.

disablePrintScreenbooleanOptional

Whether Print Screens are disabled or not.

replaceDesktopbooleanOptional

Whether the Replace Desktop option is enabled or not.

kioskModebooleanOptional

Whether the Kiosk Mode option is enabled or not.

useClientAsDesktopbooleanOptional

Whether the Use Client As Desktop option is enabled or not.

enableFirewallbooleanOptional

Whether the Firewall option is enabled or not.

requestAuthorizationbooleanOptional

Whether the Request Authorization option is enabled or not.

get
/api/WinDeviceGroup

Create

post

Create a new Windows device group.

Body

Create a new Windows Device Group

namestring · min: 1 · max: 255 · nullableRequired

Name of the new Windows Device Group.

descriptionstring · min: 1 · max: 255 · nullableOptional

Description of the new Windows Device Group.

Responses
post
/api/WinDeviceGroup

Get

get

Retrieve a specific Windows device group by ID.

Path parameters
idinteger · int32Required

Windows device group Id

Responses
chevron-right
200

Success

application/json; api-version=1.0

/// /// Windows device group

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

siteIdinteger · int32Optional

The ID of the Site from which to retrieve the Windows device group.

namestring · nullableOptional

Windows device group name

descriptionstring · nullableOptional

Description of the Windows device group

disableRemovableDrivesbooleanOptional

Whether Removeable drives are disabled or not.

disablePrintScreenbooleanOptional

Whether Print Screens are disabled or not.

replaceDesktopbooleanOptional

Whether the Replace Desktop option is enabled or not.

kioskModebooleanOptional

Whether the Kiosk Mode option is enabled or not.

useClientAsDesktopbooleanOptional

Whether the Use Client As Desktop option is enabled or not.

enableFirewallbooleanOptional

Whether the Firewall option is enabled or not.

requestAuthorizationbooleanOptional

Whether the Request Authorization option is enabled or not.

get
/api/WinDeviceGroup/{id}

Update

put

Update Windows device group settings.

Path parameters
idinteger · int32Required

Windows device group ID.

Body

Modify a Windows Device Group

displayNamestring · nullableOptional

Modify the description of the Windows Device Group.

descriptionstring · nullableOptional

Modify the description of the Windows Device Group.

enabledboolean · nullableOptional

Enable or disable the Windows Device Group.

disableRemovableDrivesboolean · nullableOptional

Enable or disable Removeable Drives.

disablePrintScreenboolean · nullableOptional

Enable or disable Print Screens.

replaceDesktopboolean · nullableOptional

Enable or disable the Replace Desktop option.

kioskModeboolean · nullableOptional

Enable or disable Kiosk Mode.

useClientAsDesktopboolean · nullableOptional

Enable or disable the Client As Desktop option.

adminModePasswordstring · nullableOptional

The Admin Mode Passoword.

enableFirewallboolean · nullableOptional

Enable or disable Firewall option.

requestAuthorizationboolean · nullableOptional

Enable or disable the Request Authorization option.

Responses
put
/api/WinDeviceGroup/{id}

No content

Delete

delete

Delete a Windows device group by ID.

Path parameters
idinteger · int32Required
Responses
delete
/api/WinDeviceGroup/{id}

No content

Last updated